/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * 测试表
 *
 * @author Jim
 * @version 0.1
 * 2022/4/15 18:34
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@TableName("TEST_TABLE")
@Table(name = "TEST_TABLE")
@Comment("测试表")
public class TestTable implements Serializable {

    @Serial
    private static final long serialVersionUID = -6168070383092874608L;

    @Comment("主键")
    @Id
    String id;

    @Comment("姓名")
    String name;

    @Comment("年龄")
    Integer age;
}
